%define upstream_name    MooX-Struct
%define upstream_version 0.013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Make simple lightweight record-like structures that make sounds like cows
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope)
BuildRequires: perl(Data::OptList)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moo) >= 1.0.0
BuildRequires: perl(Object::ID)
BuildRequires: perl(Scalar::Does)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
MooX::Struct allows you to create cheap struct-like classes for your data
using the Moo manpage.

While similar in spirit to the MooseX::Struct manpage and the Class::Struct
manpage, MooX::Struct has a somewhat different usage pattern. Rather than
providing you with a 'struct' keyword which can be used to define structs,
you define all the structs as part of the 'use' statement. This means they
happen at compile time.

A struct is just an "anonymous" Moo class. MooX::Struct creates this class
for you, and installs a lexical alias for it in your namespace. Thus your
module can create a "Point3D" struct, and some other module can too, and
they won't interfere with each other. All struct classes inherit from
MooX::Struct.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes LICENSE META.yml MYMETA.yml NEWS README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.13.0-4pclos2017
- rebuild against updates

